Ubuntu Kylin技术论坛

 找回密码
查看: 7163|回复: 12

关于flash安装和使用不了的问题解决

[复制链接]
  • TA的每日心情
    奋斗
    2018-7-27 11:50
  • 签到天数: 22 天

    [LV.4]偶尔看看III

    发表于 2016-10-19 21:18:12 | 显示全部楼层 |阅读模式
    本帖最后由 ccc123456 于 2017-1-20 10:34 编辑

    随着chrome浏览器54版推出,chrome与pepperflash插件分家了,在安装pepperflashplugin-nonfree包时,即使下载了chrome54包,也因没有集成pepperflash而导致失败,最终使得chromium浏览器flash无法使用。
    而系统默认源中的flashplugin-install包,因仅仅供firefox使用,也无助于问题的解决。
    在不断谋求flash解决中,发现了adobe公司最新提供的adobe-flashplugin包中,即提供了libflashplayer.so供firefox使用,也提供了libpepflashplayer.so供chromium使用。

    归纳解决flash插件大法:
    启动器中找到  软件和更新,启动,点击  其它软件,把Canonical合作伙伴前方框 选上,目的把第三方合作伙伴源加上。

    点击终端,
    输入:sudo apt-get update   目的更新源
    输入:sudo apt-get remove flashplugin-installer 目的卸载原集成flash插件。
    输入:sudo rm /usr/lib/mozilla/plugins/libflashplayer.so  删除原集成flash插件文件,否则装上adobe-flashplugin包后还显示版本是原来版本
    输入:sudo apt-get install adobe-flashplugin 把flash最新插件装上。

    ok了,可以在firefox和chromium浏览器中放心使用flash了。

    chrome浏览器中flash经过最近折腾,还是不能用,废了。

    仅在ubuntukylin16.04 LTS中验证通过。其他版本请自测

    评分

    参与人数 1麒麟币 +10 收起 理由
    lmy + 10 很给力!

    查看全部评分

    回复

    使用道具 举报

  • TA的每日心情
    开心
    2018-1-4 15:46
  • 签到天数: 38 天

    [LV.5]常住居民I

    发表于 2016-11-12 21:36:02 | 显示全部楼层
    本帖最后由 dos时代菜鸟 于 2016-11-12 21:48 编辑
    菜鸟 发表于 2016-10-26 20:33
    可以从flash的官网上下一个吗,下了一个压缩文件就不知道要怎么办了记得之前有一个贴是说这个的求帮忙,习 ...

    下载那个  tar.gz 的,解压缩得到 usr文件夹  和一个 *.so 文件
    那里面还有 readme 说明,根据说明

    sudo cp -r usr/* /usr
    cp *.so ~/..mozilla/plugins

    就是用  压缩包里面的 usr 复制覆盖 /usr 内容
    再把 *.so 复制到 当前用户目录的 浏览器插件存储位置上

    就可以让 firefox 支持 flash 看视频了。
    测试  uzbl 也可以,但是 Chromium  却不行。
    Chromium 可能需要特定的 so 吧。
    回复 支持 1 反对 0

    使用道具 举报

  • TA的每日心情
    无聊
    2019-8-9 00:31
  • 签到天数: 201 天

    [LV.7]常住居民III

    发表于 2016-10-23 13:47:55 | 显示全部楼层
    不是flashplugin-install,是flashplugin-installer
    回复 支持 反对

    使用道具 举报

  • TA的每日心情
    无聊
    2019-8-9 00:31
  • 签到天数: 201 天

    [LV.7]常住居民III

    发表于 2016-10-23 14:41:11 | 显示全部楼层
    不知道为啥,搞不定啊
    回复 支持 反对

    使用道具 举报

  • TA的每日心情
    奋斗
    2018-7-27 11:50
  • 签到天数: 22 天

    [LV.4]偶尔看看III

     楼主| 发表于 2016-10-23 20:57:11 | 显示全部楼层
    本帖最后由 ccc123456 于 2016-10-23 21:01 编辑
    熟悉的陌生人 发表于 2016-10-23 13:47
    不是flashplugin-install,是flashplugin-installer

    哦,多谢。你的flash还没有搞定?在ubuntukylin16.04ukui预览版,装个adobe-flashplugin就OK了。
    回复 支持 反对

    使用道具 举报

  • TA的每日心情
    无聊
    2019-8-9 00:31
  • 签到天数: 201 天

    [LV.7]常住居民III

    发表于 2016-10-24 11:17:52 | 显示全部楼层
    ccc123456 发表于 2016-10-23 20:57
    哦,多谢。你的flash还没有搞定?在ubuntukylin16.04ukui预览版,装个adobe-flashplugin就OK了。

    昨天折腾了一下午,所有的插件都用了,所有的方法都试了chrome54死活不能用,然后我给降到51了
    回复 支持 反对

    使用道具 举报

  • TA的每日心情
    奋斗
    2018-7-27 11:50
  • 签到天数: 22 天

    [LV.4]偶尔看看III

     楼主| 发表于 2016-10-24 15:44:24 | 显示全部楼层
    熟悉的陌生人 发表于 2016-10-24 11:17
    昨天折腾了一下午,所有的插件都用了,所有的方法都试了chrome54死活不能用,然后我给降到51了

    用chromium-browser吧,仅adobe-flashplugin一个包就够了。
    我刚又试验了一次,最新的chrome中的flash无论怎么折腾都是过期,彻底废了。
    回复 支持 反对

    使用道具 举报

  • TA的每日心情
    无聊
    2019-8-9 00:31
  • 签到天数: 201 天

    [LV.7]常住居民III

    发表于 2016-10-24 17:13:22 | 显示全部楼层
    ccc123456 发表于 2016-10-24 15:44
    用chromium-browser吧,仅adobe-flashplugin一个包就够了。
    我刚又试验了一次,最新的chrome中的flash无 ...

    谢谢提醒
    回复 支持 反对

    使用道具 举报

  • TA的每日心情
    擦汗
    2018-6-15 12:46
  • 签到天数: 4 天

    [LV.2]偶尔看看I

    发表于 2016-10-26 20:33:58 | 显示全部楼层
    可以从flash的官网上下一个吗,下了一个压缩文件就不知道要怎么办了记得之前有一个贴是说这个的求帮忙,习惯用谷歌浏览器,有强迫症
    回复 支持 反对

    使用道具 举报

  • TA的每日心情
    开心
    2017-8-17 22:35
  • 签到天数: 83 天

    [LV.6]常住居民II

    发表于 2016-11-7 19:18:30 | 显示全部楼层
    其实,只要把chrome的版本降级用51以下的都没有问题。
    回复 支持 反对

    使用道具 举报

    您需要登录后才可以回帖 登录 | 立即注册

    本版积分规则

    小黑屋|手机版|Archiver|Ubuntu Kylin    

    GMT+8, 2019-8-18 00:08 , Processed in 0.026549 second(s), 11 queries , File On.

    Copyright ©2013-2019 Ubuntu Kylin. All Rights Reserved .

    ICP No. 15002470-2 Tianjin

    快速回复 返回顶部 返回列表